Skip to content
Start here

Fetch all apps

client.realtimeKit.apps.get(AppGetParams { account_id, page_no, per_page, 2 more } params, RequestOptionsoptions?): AppGetResponse { data, paging, success }
GET/accounts/{account_id}/realtime/kit/apps

Fetch all apps for your account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
params: AppGetParams { account_id, page_no, per_page, 2 more }
account_id: string

Path param: The account identifier tag.

maxLength32
page_no?: number

Query param: The page number from which you want your page search results to be displayed.

minimum1
per_page?: number

Query param: Number of results per page.

minimum1
sort_order?: "ASC" | "DESC"

Query param: Sort order for apps by creation time.

One of the following:
"ASC"
"DESC"
ReturnsExpand Collapse
AppGetResponse { data, paging, success }
data?: Array<Data>
id?: string
formatuuid
created_at?: string
formatdate-time
name?: string
paging?: Paging { end_offset, start_offset, total_count }
end_offset?: number
start_offset?: number
total_count?: number
success?: boolean

Fetch all apps

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const app = await client.realtimeKit.apps.get({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(app.data);
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}
Returns Examples
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}